Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class TimeBase

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.TimeBase

All Implemented Interfaces:
  ASN1Value

Direct Known Subclasses:
  GeneralizedTime, UTCTime

public abstract class TimeBase
extends java.lang.Object
implements ASN1Value

Nested Class Summary
`static class` | `TimeBase.Template`

Field Summary
`private java.util.Date` | `date`
`static Form` | `FORM`

Constructor Summary
`private` | `TimeBase()`
`` | `TimeBase(java.util.Date date)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicit, java.io.OutputStream ostream)` Write the DER-encoding of this TimeBase.
`abstract Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`protected abstract boolean` | `isUTC()`
`java.util.Date` | `toDate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORM

    public static final Form FORM

### date

    private java.util.Date date

Constructor Detail

### TimeBase

    private TimeBase()

### TimeBase

    public TimeBase(java.util.Date date)

Method Detail

### getTag

    public abstract Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### toDate

    public java.util.Date toDate()

### isUTC

    protected abstract boolean isUTC()

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicit,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Write the DER-encoding of this TimeBase.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD